Bug 444838 - systool is passed deprcated arguments
systool is passed deprcated arguments
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sos (Show other bugs)
5.1
noarch Linux
urgent Severity medium
: rc
: ---
Assigned To: Adam Stokes
: ZStream
Depends On:
Blocks: 455298 455918
  Show dependency treegraph
 
Reported: 2008-04-30 20:08 EDT by Marco Grigull
Modified: 2015-10-12 08:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:41:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marco Grigull 2008-04-30 20:08:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.12) Gecko/20080409 Red Hat/1.5.0.12-15.el5_1 Firefox/1.5.0.12

Description of problem:
'sosreport' fails to collect information from systool due to deprecated arguments being passed to the systool program

Version-Release number of selected component (if applicable):
sos-1.7-9.1

How reproducible:
Always


Steps to Reproduce:
1. run sosreport on a system with scsi components
2. open sosreport
3. inspect /sos_commands/devicemapper/systool_-v_-C_-b_scsi
4. observe help/usage output instead of desired output



Actual Results:
/usr/bin/systool: invalid option -- C
Usage: systool [<options> [device]]
	-a			Show attributes
	-b <bus_name>		Show a specific bus
	-c <class_name>		Show a specific class
	-d			Show only devices
	-h			Show usage
	-m <module_name>	Show a specific module
	-p			Show path to device/driver
	-v			Show all attributes with values
	-A <attribute_name>	Show attribute value
	-D			Show only drivers
	-P			Show device's parent

Expected Results:
Bus = "scsi"



  Device = "0:0:0:0"

  Device path = "/sys/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0"

    delete              = <store method only>

    device_blocked      = "0"

    iocounterbits       = "32"

    iodone_cnt          = "0x6c0d6"

    ioerr_cnt           = "0x5e"

    iorequest_cnt       = "0x6c0d6"

    model               = "WDC WD4000AAKS-0"

    queue_depth         = "31"

    queue_type          = "simple"

    rescan              = <store method only>

    rev                 = "12.0"

    scsi_level          = "6"

    state               = "running"

    timeout             = "60"

    type                = "0"

    uevent              = <store method only>

    vendor              = "ATA     "



  Device = "1:0:0:0"

  Device path = "/sys/devices/pci0000:00/0000:00:1f.2/host1/target1:0:0/1:0:0:0"

    delete              = <store method only>

    device_blocked      = "0"

    iocounterbits       = "32"

    iodone_cnt          = "0x621f4"

    ioerr_cnt           = "0x0"

    iorequest_cnt       = "0x621f7"

    model               = "DVD-RW  DVR-212 "

    queue_depth         = "1"

    queue_type          = "none"

    rescan              = <store method only>

    rev                 = "1.24"

    scsi_level          = "6"

    state               = "running"

    timeout             = "0"

    type                = "5"

    uevent              = <store method only>

    vendor              = "PIONEER "



OR equivalent

Additional info:
the '-C' option should not be passed to versions of systool that do not observe it.

Furthermore, return status from systool is ignored and _not_ logged in sosreport as a failure to run that component.

To mitigate this effect (in GSS production support) the information has to be requested from the customer explicitly in addition to the sysreport.
Comment 1 Marco Grigull 2008-04-30 20:31:42 EDT
http://kbase.redhat.com/faq/FAQ_103_11726.shtm has some of the information which
assist using the systool effectivly
Comment 2 Robert Jackson 2008-07-02 03:41:58 EDT
The following patch should clear this up:

--- /usr/lib/python2.4/site-packages/sos/plugins/devicemapper.py       
2008-03-28 10:28:49.000000000 -0400
+++ /usr/lib/python2.4/site-packages/sos/plugins/devicemapper.py2      
2008-07-02 03:39:00.000000000 -0400
@@ -45,7 +45,7 @@
         self.addCopySpec("/var/lib/multipath/bindings")
         self.collectExtOutput("/sbin/multipath -v4 -ll")

-        self.collectExtOutput("/usr/bin/systool -v -C -b scsi")
+        self.collectExtOutput("/usr/bin/systool -v -c -b scsi")

         self.collectExtOutput("/bin/ls -laR /dev")
         self.collectExtOutput("/bin/ls -laR /sys/block")
Comment 3 RHEL Product and Program Management 2008-07-02 07:49:59 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 11 errata-xmlrpc 2009-01-20 16:41:34 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0171.html

Note You need to log in before you can comment on or make changes to this bug.